/* ------------------------------------------------------------ *\
	Nav
\* ------------------------------------------------------------ */

.nav {
	& > ul {
		display: flex;
		align-items: center;

		& > li + li {
			margin-left: 19px;
		}
	}

	a {
		display: block;
		line-height: 72px;
		height: 70px;
		position: relative;
		font-size: 13px;
		font-weight: normal;
		text-decoration: none;

		&:after {
			content: '';
			height: 3px;
			width: 0;
			display: inline-block;
			position: absolute;
			bottom: 0;
			left: 50%;
			transform: translateX(-50%);
			transition: width .4s;
			background: #000000;
		}
	}

	.dropdown {
		padding: 44px 109px 62px;
		position: absolute;
		top: 100%;
		left: -15px;
		right: -15px;
		z-index: 20;
		background: #fff;
		visibility: hidden;
		opacity: 0;
		transition: visibility .4s, opacity .4s, transform .4s;
		transform: translateY(10px);
		border: 1px solid rgba(112, 112, 112, 0.31);

		ul {
			max-width: 372px;
			columns: 2;
			column-gap: 20px;

			li {
				margin-bottom: 15px;
			}
		}

		a {
			height: auto;
			font-size: 13px;
			font-weight: 400;
			line-height: 1.2;
			display: inline-block;
			padding: 0;
			letter-spacing: 0.03em;

			&:after {
				display: none;
			}
		}

		h6 {
			margin-bottom: 32px;
			font-size: 16px;
			font-weight: 600;
			letter-spacing: 0.02em;
		}
	}

	@media(min-width: 1025px) {
		li:hover {
			& > a {
				color: #000;

				&:after {
					width: 100%;
				}
			}

			.dropdown {
				visibility: visible;
				opacity: 1;
				transform: translateY(0);

				a {
					&:hover {
						color: #b31d1d
					}
				}
			}
		}
	}

	@media #{$mobile} {
		ul {
			display: block;
			width: 100%;

			li + li {
				margin-left: 0;
				border-top: 1px solid rgba(112, 112, 112, .14);
			}

			a {
				height: auto;
				line-height: 1.2;
				padding: 30px 42px 29px;
				color: #000000 !important;
				transition: background .4s, color .4s;
				font-size: 15px;
				font-weight: 700;
				letter-spacing: 0.1em;
			}
		}

		.has-dropdown {
			& > a {
				position: relative;

				&:before {
					content: '';
					display: inline-block;
					width: 8px;
					height: 8px;
					border-left: 1px solid #000;
					border-bottom: 1px solid #000;
					position: absolute;
					top: 33px;
					right: 45px;
					transform: rotate(-45deg);
					transition: top .4s, transform .4s, border-color .4s;
				}
			}
		}

		.is-expanded {
			& > a {
				background-color: #000000;
				color: #fff !important;

				&:before {
					border-left: 1px solid #fff;
					border-bottom: 1px solid #fff;
					top: 35px;
					transform: rotate(135deg);
				}
			}
		}

		.dropdown {
			padding: 17px 43px 0;
			visibility: visible;
			opacity: 1;
			position: static;
			transform: translateY(0);
			max-width: 100%;
			border: 0;
			display: none;

			h6 {
				display: none;
			}

			ul {
				max-width: 100%;
				columns: 1;

				li {
					margin-bottom: 15px;
				}

				li + li {
					border-top: 0;
				}

				a {
					font-size: 17px;
					font-weight: 600;
					letter-spacing: 0.003em;
				}
			}
		}
	}

	@media(max-width: 370px) {
		ul {
			a {
				padding: 30px 20px 29px;
			}

			.dropdown {
				padding: 17px 20px 0;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Nav utilities
\* ------------------------------------------------------------ */

.nav-utilities {
	& > ul {
		list-style-type: none;
		display: flex;
		align-items: center;

		& > li + li {
			margin-left: 26px;
		}
	}

	a {
		transition: opacity .4s;
		text-decoration: none;
	}

	.search__btn-main {
		height: 70px;
		line-height: 66px;
		background: #fff;
	}

	.profile__btn {
		display: block;
		height: 70px;
		background: #fff;
		line-height: 66px;
		background: #fff;
	}

	.cart__btn {
		display: block;
		height: 70px;
		background: #fff;
		line-height: 66px;
		background: #fff;
	}

	@media #{$mobile} {
		.cart__btn {
			height: 50px;
			line-height: 50px;
		}

		.ico-cart {
			width: 17px;
			height: 16px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Nav trigger
\* ------------------------------------------------------------ */

.nav-trigger {
	position: relative;
	display: inline-block;
	width: 25px;
	height: 13px;

	span {
		position: absolute;
		display: block;
		height: 2px;
		width: 100%;
		border-radius: 4px;
		background: #000;
		transition: top .2s .25s, opacity .2s .25s, transform .2s 0s;

		&:nth-child(1) {
			top: 0;
		}

		&:nth-child(2) {
			top: 6px;
		}

		&:nth-child(3) {
			top: 12px;
			width: 17px;
			right: 0;
		}
	}

	&--active {
		span {
			transition: background .2s, top .2s, opacity .2s, transform .2s .25s;
			width: 100% !important;

			&:nth-child(3),
			&:nth-child(1) {
				top: 6px;
			}

			&:nth-child(2) {
				opacity: 0;
			}
			&:nth-child(1) {
				transform: rotate(45deg);
			}
			&:nth-child(3) {
				transform: rotate(-45deg);
			}
		}
	}
}


/* ------------------------------------------------------------ *\
	Nav wrapper
\* ------------------------------------------------------------ */

.nav-wrapper {
	@media #{$mobile} {
		visibility: hidden;
		opacity: 0;
		transform: translateY(20px);
		transition: visibility .4s, opacity .4s, transform .4s;
		pointer-events: none;

		&.visible {
			visibility: visible;
			opacity: 1;
			transform: translateY(0);
			pointer-events: all;
		}

		.profile--secondary {
			padding: 22px 43px 15px;
		}
	}

	@media(max-width: 370px) {
		.profile--secondary {
			padding: 22px 20px 15px;
		}
	}
}
